SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000001SiT!pluginspublic2008-07-11 14:372011-06-17 17:34
Reporterkieran 
Assigned Toivan 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000001: Plugin manager
DescriptionI plan to create a simple plugin manager for adding and removing plugins. This may or may not integrate with dashlets.
TagsNo tags attached.
Attached Files

- Relationships
parent of 0000098closed A function to modify config variables 
parent of 0001441resolvedpaulh Check plugin versions before upgrading 
related to 0001155confirmed Plugins Repository Client 
child of 0000113closedivan Store config in database 

-  Notes
User avatar (0000030)
kieran (administrator)
2008-07-17 09:14

Have half completed this however there is no easy way to save the modified $CONFIG variable, should we be looking at provided a function to do this easily rather than loading a writing the whole file? And to which file should it be saved?
User avatar (0000031)
ivan (administrator)
2008-07-17 10:56

Should be stored in config.inc.php or whatever the config file is, we probably need a function to make changes to the config. Code could probably be ripped out of setup.php to do that.

I was planning to make setup.php into more of a reconfig tool anyway and that was part of my very vague plans, to make it a function.

I'll log it to be done, feel free to start on that function if you have time before me tho :)
User avatar (0000106)
paulh (administrator)
2008-10-07 10:52

Kierans managed to misplace the code
User avatar (0002428)
ivan (administrator)
2010-02-20 20:05

At our meeting today (http://sitracker.org/wiki/Meetings/20100220 [^]) on irc we talked about having some kind of "sit marketplace" for plugins.
User avatar (0003558)
ivan (administrator)
2011-02-08 14:39

I've started work on this and some form of it will be available for v3.90
User avatar (0004038)
ivan (administrator)
2011-06-17 17:34

The plugin manager is complete for 3.90, it doesn't integrate with dashlets yet, but there is some infrastructure there so that we can do that later. Neither does it download/install plugins automatically but that can come later too. Baby steps.

- Issue History
Date Modified Username Field Change
2008-07-11 14:37 kieran New Issue
2008-07-11 14:40 kieran Status new => assigned
2008-07-11 14:40 kieran Assigned To => kieran
2008-07-11 14:43 kieran ETA none => < 1 week
2008-07-11 14:43 kieran Target Version => 3.40
2008-07-11 14:49 administrator Category => plugins
2008-07-17 09:14 kieran Note Added: 0000030
2008-07-17 10:56 ivan Note Added: 0000031
2008-07-17 10:59 ivan Relationship added parent of 0000098
2008-07-18 16:25 kieran Relationship added parent of 0000113
2008-10-07 10:52 paulh Note Added: 0000106
2008-10-07 10:52 paulh Target Version 3.40 => 3.45
2008-10-26 15:41 kieran Relationship deleted parent of 0000113
2008-10-26 15:41 kieran Relationship added child of 0000113
2008-11-29 23:32 kieran Target Version 3.45 => 3.50
2009-03-05 13:46 ivan Severity minor => feature
2009-05-30 14:51 ivan Target Version 3.50 => 3.60
2009-08-19 15:52 codemonkey Checkin
2009-08-19 15:52 codemonkey Note Added: 0001781
2009-08-19 20:54 codemonkey Checkin
2009-08-19 20:54 codemonkey Note Added: 0001786
2009-08-19 21:01 codemonkey Checkin
2009-08-19 21:01 codemonkey Note Added: 0001787
2009-08-19 21:03 codemonkey Checkin
2009-08-19 21:03 codemonkey Note Added: 0001788
2009-08-19 21:03 codemonkey Status assigned => resolved
2009-08-19 21:03 codemonkey Resolution open => fixed
2009-08-19 21:51 kieran Note Deleted: 0001788
2009-08-19 21:51 kieran Note Deleted: 0001787
2009-08-19 21:52 kieran Note Deleted: 0001786
2009-08-19 21:52 kieran Note Deleted: 0001781
2009-08-19 21:52 kieran Assigned To kieran =>
2009-08-19 21:52 kieran Status resolved => confirmed
2009-08-21 14:28 kieran Target Version 3.60 => 4.0
2009-08-24 11:18 ivan Sponsorship Added ivan: UK£ 5
2009-08-24 11:18 ivan Sponsorship Total 0 => 5
2009-08-24 12:02 ivan Sponsorship Deleted ivan: UK£ 5
2009-08-24 12:02 ivan Sponsorship Total 5 => 0
2009-09-21 13:53 user93 Note Added: 0002004
2009-09-21 13:53 user93 Note Deleted: 0002004
2010-02-20 20:05 ivan Note Added: 0002428
2010-03-25 12:07 ivan Relationship added related to 0001155
2010-04-10 22:54 ivan Target Version 4.0 => 4.1
2011-02-08 14:39 ivan Assigned To => ivan
2011-02-08 14:39 ivan Status confirmed => assigned
2011-02-08 14:39 ivan Note Added: 0003558
2011-02-08 14:39 ivan Target Version 4.1 => 3.90beta1
2011-02-12 18:49 paulh Relationship added parent of 0001441
2011-05-28 11:48 paulh Resolution fixed => open
2011-06-17 17:34 ivan Note Added: 0004038
2011-06-17 17:34 ivan Status assigned => resolved
2011-06-17 17:34 ivan Fixed in Version => Current GIT
2011-06-17 17:34 ivan Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker